Bug 1700100 - [marketplace] certified-operators causing e2e failures
Summary: [marketplace] certified-operators causing e2e failures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Aravindh Puthiyaparambil
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks: 1732588
TreeView+ depends on / blocked
 
Reported: 2019-04-15 20:49 UTC by Ian McLeod
Modified: 2019-10-16 06:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: marketplace operator was scaling the registry deployment down and the scaling it back up to force updates. Consequence: This could cause the pod to crash loop if there was an issue in the registry pod. Fix: Don't scale it down and up, instead use an annotation to force the update. Result: The deployment won't become unavailable Note: This alone won't fix the bug. A fix to the e2e test that doesn't fail it on crash looping pods in the openshift-marketplace namespace is required
Clone Of:
Environment:
Last Closed: 2019-10-16 06:28:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 217 None closed Bug 1700100: Stop scaling down registry deployment 2020-07-08 14:27:27 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:28:22 UTC

Comment 5 errata-xmlrpc 2019-10-16 06:28:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.